﻿using Rhino;
using Rhino.Commands;
using Rhino.DocObjects;
using Rhino.Geometry;
using Rhino.Input;
using Rhino.Input.Custom;
using RhinoWindows;
using System;
using System.Collections.Generic;

namespace RhinoCommonIssueTest
{
    public class RhinoCommonIssueTestCommand : Command
    {
        private static readonly string s_commandName = "Test Command";

        public RhinoCommonIssueTestCommand()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static RhinoCommonIssueTestCommand Instance { get; private set; }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName => "RhinoCommonIssueTestCommand";

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            //string myNewBlockName = "MyBlock";
            //string myNewBlockFilePath = @"E:\OneDrive\Workspace\轨道车辆\TestData\附件：B型鼓型车.dwg";

            //List<GeometryBase> dummyInitialObjects = new List<GeometryBase>() { new Point(Plane.WorldXY.Origin) };
            //List<ObjectAttributes> dummyInitialAttributes = new List<ObjectAttributes>() { new ObjectAttributes() };
            //int indexOfAddedBlock = RhinoDoc.ActiveDoc.InstanceDefinitions.Add(myNewBlockName, "", Plane.WorldXY.Origin,
            //                    dummyInitialObjects, dummyInitialAttributes);


            //bool modified = RhinoDoc.ActiveDoc.InstanceDefinitions.ModifySourceArchive(indexOfAddedBlock,
            //                    Rhino.FileIO.FileReference.CreateFromFullPath(myNewBlockFilePath), InstanceDefinitionUpdateType.LinkedAndEmbedded, true);

            try
            {
                Window1 window1 = new Window1(doc, s_commandName);
                window1.ShowSemiModal(RhinoApp.MainWindowHandle());
            }
            catch (Exception ex)
            {
                return Result.Cancel;
            }

            return Result.Success;
        }
    }
}
