﻿using Rhino;
using System.ComponentModel;
using System.Windows;


namespace RhinoCommonIssueTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private RhinoDoc _rhinoDoc = null;
        private string _commandName = "Window1";

        public Window1(RhinoDoc rhinoDoc, string commandName)
        {
            _rhinoDoc = rhinoDoc;
            _commandName = commandName;

            InitializeComponent();

            RhinoApp.KeyboardEvent += OnKeyboardEvent;
        }

        private void OnKeyboardEvent(int key)
        {
            if (27 == key)  //Esc 键
            {
                CloseBtn_Click(this, new RoutedEventArgs());
            }
        }

        private void CloseBtn_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void Window_Closing(object sender, CancelEventArgs e)
        {
            MessageBoxResult result = MessageBox.Show(
                "Test Message",
                _commandName,
                MessageBoxButton.YesNoCancel);
            if (MessageBoxResult.Cancel == result)
            {
                e.Cancel = true;
                return;
            }

            RhinoApp.KeyboardEvent -= OnKeyboardEvent;
        }
    }
}
